Page MenuHomePhabricator

ExtensionRegistry doesn't load extensions if they have an mtime of 0
Closed, ResolvedPublic

Description

Via patch from EdSchouten:

When creating Docker images of MediaWiki using the Bazel build system, I noticed that I'm not able to load any extensions. This is due to the fact that Bazel always generates container layers with mtimes of files set to 1970-01-01 for determinism/reproducibility.

Event Timeline

Legoktm triaged this task as High priority.Jun 7 2018, 5:57 PM
Legoktm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 5:57 PM

Change 437977 had a related patch set uploaded (by Legoktm; owner: EdSchouten):
[mediawiki/core@master] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/437977

Change 437977 merged by jenkins-bot:
[mediawiki/core@master] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/437977

Change 438066 had a related patch set uploaded (by Legoktm; owner: EdSchouten):
[mediawiki/core@REL1_31] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438066

Change 438067 had a related patch set uploaded (by Legoktm; owner: EdSchouten):
[mediawiki/core@REL1_30] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438067

Change 438068 had a related patch set uploaded (by Legoktm; owner: EdSchouten):
[mediawiki/core@REL1_29] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438068

Change 438069 had a related patch set uploaded (by Legoktm; owner: EdSchouten):
[mediawiki/core@REL1_27] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438069

Change 438066 merged by jenkins-bot:
[mediawiki/core@REL1_31] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438066

Change 438069 merged by jenkins-bot:
[mediawiki/core@REL1_27] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438069

Change 438068 merged by jenkins-bot:
[mediawiki/core@REL1_29] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438068

Change 438067 merged by jenkins-bot:
[mediawiki/core@REL1_30] registration: Allow the mtime of extension.json files to be zero

https://gerrit.wikimedia.org/r/438067

Krinkle closed this task as Resolved.Jun 10 2018, 1:08 AM
Krinkle moved this task from Backlog to Done on the MW-1.30-release board.
Krinkle moved this task from Backlog to Done on the MW-1.29-release board.
Krinkle moved this task from Backlog to Done on the MW-1.27-release board.
Krinkle removed a project: Patch-For-Review.
Vvjjkkii renamed this task from ExtensionRegistry doesn't load extensions if they have an mtime of 0 to 7fbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 7fbaaaaaaa to ExtensionRegistry doesn't load extensions if they have an mtime of 0.Jul 2 2018, 8:45 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.